Name:     chihaya
Version:  1.0.2
Release:  2%{?dist}
Summary:  Chihaya Bittorrent Tracker Written in GoLang
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      https://github.com/chihaya/chihaya/tags
Source0:  chihaya.service
Source1:  chihaya-1.0.2
Source2:  chihaya.sysconfig
Source3:  chihaya.json

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires: systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Chihaya an opensource and public tracker written in GoLang.
An example command to scrap the stats from the service:
 curl http://localhost:6880/stats?flatten=1
** Use Firewall since the service is open by default for to anyone!!

%prep

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/chihaya
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/chihaya
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/chihaya.json


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/chihaya
%config(noreplace) %{_sysconfdir}/chihaya.json
%attr(755,root,root) %{_bindir}/chihaya

%{_unitdir}/chihaya.service

%post
echo "** Use Firewall since the service is open by default for to anyone!!"
%systemd_post chihaya.service

%preun
%systemd_preun chihaya.service

%postun
%systemd_postun_with_restart chihaya.service

%changelog
* Fri Jun 06 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.2 Stable.
